﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        
        this.WebDataGrid1.DataSource = GetData();
        this.WebDataGrid1.InitializeRow += new InitializeRowEventHandler(WebDataGrid1_InitializeRow);                            

    }

    void WebDataGrid1_InitializeRow(object sender, RowEventArgs e)
    {
        e.Row.Items[3].Value = e.Row.Index % 2 > 0;

        int index = this.WebDataGrid1.Columns["CurrentEditable"].Index;
        bool dataValue = (bool)e.Row.Items[index].Value;
        if (!dataValue)
        {
            e.Row.Items[3].CssClass = "myCheckDis";            
        }

    }

    public DataTable GetData()
    {
        DataTable table = new DataTable();
        DataColumn c = new DataColumn("ID", typeof(int));
        table.Columns.Add(new DataColumn("ID", typeof(int)));
        table.Columns.Add(new DataColumn("Name", typeof(string)));
        table.Columns.Add(new DataColumn("CurrentEditable", typeof(bool)));

        for (int i = 1; i < 10; i++)
        {
            DataRow row = table.NewRow();
            row.ItemArray = new object[] { i, "name " + 1, (i % 3) > 0 };
            table.Rows.Add(row);
        }

        return table;
    }
}